Subject: Re: Reboot Command Makes kernel to hang (MPC8560)

From: Clemens Koller <[email-masked]>
Date: Thu, 02 Aug 2007 20:29:37 +0200

Hi, Ansari!

Ansari schrieb:
> Hi Koller & Kumar
> 
> Thanks for ur reply.
> 
> Is there a way to reset the full chip (MPC8560)  whenever core reset 
> occurs (using hardware or software) ??

I recommend you to have a look at i.e. the MPC8540ADS reference design
(as an example, the 8560 should be similar) to see how the reset signals
are realized. I didn't run into problems with the reset circuitry.
u-boot resets my thing by issung a "reset" and linux does the same when
I do a "shutdown -r now" or similar thing.
Read the code at these places what's happening there.
AFAICT this is not done by enabling the Watchdog and wait
until it triggers. (Hence, that would be interesting to try...)

In your case I would have a look at the ramdisk code to see where it/what
fails in the first place.

Regards,
-- 
Clemens Koller
__________________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Straße 45/1
Linhof Werksgelände
D-81379 München
Tel.089-741518-50
Fax 089-741518-19
http://www.anagramm-technology.com